Page MenuHomePhabricator

Ignorable TIFF warnings prevent thumbnail generation
Closed, ResolvedPublic

Description

In the example file, metadata extraction with identify fails, cf. "IWH_Blau.tif ‎(0 × 0 pixels, file size: 21, MIME type: image/tiff, 0 pages)", and thumbs are not generated.
Another example with paged TIFF: https://commons.wikimedia.org/wiki/File:Broglie_-_Souvenirs,_1830-1832.tif

thedj[work]> Nemo_bis: that might be a bug. we use identify to get some metadata about the file i believe and it seems that the warnings make it fail. It should ignore the warnings though.


Version: unspecified
Severity: normal
URL: https://commons.wikimedia.org/wiki/File:IWH_Blau.tif

Details

Reference
bz41385

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:15 AM
bzimport set Reference to bz41385.
bzimport added a subscriber: Unknown Object (MLST).

The file size of the IWH_Blau.tif was quite large. I compressed it with the DEFLATE algorithm. (Thumbnails now work)

Bryan.TongMinh wrote:

I'm not sure if there is a way around this, as we use identify to determine the image dimensions, and without those we cannot thumbnail them.

We have wgTiffIdentifyBypassMessages, which can be used to ignore specific issues that are harmless.

However... i just reverted this record to a previous version and now suddenly that 'historic' version works. This indicates there might be something wrong with the purging of tiff metadata....

(In reply to comment #3)

However... i just reverted this record to a previous version and now suddenly
that 'historic' version works. This indicates there might be something wrong
with the purging of tiff metadata....

And the same for the other TIFF in comment 0, which was probably affected by 41362.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:14 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:14 PM
Restricted Application added a project: Commons. · View Herald TranscriptFeb 22 2019, 7:28 PM
jijiki closed this task as Resolved.Feb 22 2019, 7:28 PM